program Deb2Ppm;

uses
	Parser, Ppm;
	
var
	Packages : PackagePtr = nil;

begin	
	// check the command line
	if ('' = ParamStr(1)) or
	   ('' = ParamStr(2)) or
	   ('' = ParamStr(3)) or
	   ('' = ParamStr(4)) then
	begin
		writeln('Usage: deb2ppm [LIST] [DISTRO] [VERSION] [REPO]');
		Halt(1);
	end;
	
	// parse the package list
	Packages := Parse(ParamStr(1), 
	                  True, 
	                  ParamStr(2), 
	                  ParamStr(3), 
	                  ParamStr(4));
	
	if nil = Packages then
	begin
		writeln('Error: failed to open the file.');
		Halt(1);
	end;
	
	// free all allocated resources
	DestroyPackageList(Packages);
end.
